Loading...
Searching...
No Matches
dolfin::MeshPointIntersection Class Reference

`#include <MeshPointIntersection.h>`

## Public Member Functions

| MeshPointIntersection (const Mesh &mesh, const Point &point)
| Compute intersection between mesh and point.
| ~MeshPointIntersection ()
| Destructor.
const std::vector< unsigned int > & | intersected_cells () const
| Return the list of (local) indices for intersected cells.

## Detailed Description

This class represents an intersection between a Mesh and a Point. The resulting intersection is stored as a list of zero or more cells.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/MeshPointIntersection.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/MeshPointIntersection.cpp